## gstcolorbalancechannel

gstcolorbalancechannel — Object representing a channel from the GstColorBalance interface.

## Synopsis

    #include <gst/interfaces/colorbalancechannel.h>

    struct              GstColorBalanceChannel;
    struct              GstColorBalanceChannelClass;

## Object Hierarchy

      GObject
       +----GstColorBalanceChannel

## Signals

      "value-changed"                                  : Run Last

## Description

The GstColorBalanceChannel object represents a parameter for modifying the color balance implemented by an element providing the GstColorBalance interface. For example, Hue or Saturation.

## Details

### struct GstColorBalanceChannel

    struct GstColorBalanceChannel {
      gchar  *label;
      gint    min_value;
      gint    max_value;
    };

gchar *`label`; | A string containing a descriptive name for this channel
gint `min_value`; | The minimum valid value for this channel.
gint `max_value`; | The maximum valid value for this channel.

### struct GstColorBalanceChannelClass

    struct GstColorBalanceChannelClass {
      GObjectClass parent;

      /* signals */
      void (* value_changed) (GstColorBalanceChannel *channel,
                              gint                    value);
    };

Color-balance channel class.

GObjectClass `parent`; | the parent interface
`value_changed` () | default handler for value changed notification

## Signal Details

### The `"value-changed"` signal

    void                user_function                      (GstColorBalanceChannel *channel,
                                                            gint                    value,
                                                            gpointer                user_data)      : Run Last

Fired when the value of the indicated channel has changed.

`channel` : | The GstColorBalanceChannel
`value` : | The new value
`user_data` : | user data set when the signal handler was connected.